<form (ngSubmit)="onSubmit()"
      [formGroup]="form"
>
  <solidify-detail-presentation [centerTemplate]="centerTemplate"
                                [iconName]="iconNameEnum.roles"
                                [rightTemplate]="rightTemplate"
  ></solidify-detail-presentation>

  <ng-template #centerTemplate>

    <mat-form-field *ngIf="getFormControl(formDefinition.name) as fd"
                    [appearance]="appearanceInputMaterial"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.nameLabel | translate }}</mat-label>
      <input (blur)="checkAvailable(formDefinition.name, fd)"
             [formControl]="fd"
             [required]="formValidationHelper.hasRequiredField(fd)"
             [solidifyValidation]="errors"
             matInput
      >
      <mat-error #errors
                 solidifyTooltipOnEllipsis
      ></mat-error>
    </mat-form-field>

  </ng-template>

  <ng-template #rightTemplate>

    <mat-form-field *ngIf="getFormControl(formDefinition.level) as fd"
                    [appearance]="appearanceInputMaterial"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.level | translate }}</mat-label>
      <input [formControl]="fd"
             [required]="formValidationHelper.hasRequiredField(fd)"
             [solidifyValidation]="errors"
             matInput
      >
      <mat-error #errors
                 solidifyTooltipOnEllipsis
      ></mat-error>
    </mat-form-field>

  </ng-template>

  <dlcm-shared-additional-information-panel-container *ngIf="model | isNotNullNorUndefined"
                                                      [resource]="model"
  >
  </dlcm-shared-additional-information-panel-container>
</form>
